Get phytosanitary summary for the authenticated company
curl --request GET \
--url https://api.hydrobit.ag/api/control/phytosanitary/company-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hydrobit.ag/api/control/phytosanitary/company-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydrobit.ag/api/control/phytosanitary/company-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"scope": "company",
"range": {
"startTime": "2026-06-01",
"endTime": "2026-06-15"
},
"companyTimezone": "America/Monterrey",
"companyId": "comp_12345",
"totalRecords": 150,
"totalProjects": 2,
"projects": [
{
"projectId": "proj_123",
"projectName": "Rancho San Pedro",
"sectors": [
{
"sector_name": "Lote A-1",
"incidence": 12.5,
"severity": 18.3,
"pests_diseases": [
{
"pest_disease_name": "Aphids",
"incidence": 15.5,
"severity": 25
}
]
}
]
}
]
}{
"error": "Internal server error",
"message": "Detailed error message"
}{
"error": "Internal server error",
"message": "Detailed error message"
}{
"error": "Internal server error",
"message": "Detailed error message"
}{
"error": "Internal server error",
"message": "Detailed error message"
}{
"error": "Internal server error",
"message": "Detailed error message"
}Phytosanitary
Get phytosanitary summary for the authenticated company
Retrieves aggregated phytosanitary data for all projects and sectors belonging to the authenticated token’s company.
Requires API token authentication with the read:phytosanitary scope:
Authorization: Bearer <keyId>.<token>.
GET
/
api
/
control
/
phytosanitary
/
company-summary
Get phytosanitary summary for the authenticated company
Authorizations
Scoped API token for external B2B endpoints. Send it in the
Authorization header as Bearer <keyId>.<token>.
Query Parameters
Start date in YYYY-MM-DD format.
Pattern:
^\d{4}-\d{2}-\d{2}$End date in YYYY-MM-DD format.
Pattern:
^\d{4}-\d{2}-\d{2}$Response
Company phytosanitary summary retrieved successfully.
Available options:
success Example:
"success"
Available options:
company Example:
"company"
Show child attributes
Show child attributes
Example:
"America/Monterrey"
Example:
"comp_12345"
Example:
150
Example:
2
Show child attributes
Show child attributes